This post is written on behalf of people who have this bug (I don't). cargo is not compatible with blender 4.1, This ususally occurs when someone installs blender 4.1 for the first time and as they get the splash screen with the button to load 4.0 settings it crashes and they can't get that option back. although if you do get the option you can get cargo working for 4.1 (thats how it happened for me). The temporary workaround is to import to 4.0.x and then copy and paste into 4.1, which is not ideal.